package cn.com.qmth.examcloud.core.questions.dao;

import java.util.List;

import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.core.questions.dao.entity.QuestionAudio;

/**
 * @author  	chenken
 * @date    	2017年8月1日 上午11:31:23
 * @company 	QMTH
 * @description QuestionRadioRepo.java
 */
public interface QuestionAudioRepo extends MongoRepository<QuestionAudio, String>, QueryByExampleExecutor<QuestionAudio> {
	
	public List<QuestionAudio> findByQuestionId(String questionId);

	public QuestionAudio findByQuestionIdAndFileName(String questionId,String fileName);
	
	public List<QuestionAudio> findByQuestionIdIn(List<String> ids);
	
}

